jira-misc-workflow-extensions-3.0.0

I remember seeing jira-misc-workflow-extensions-3.0.0 as a free download few weeks ago.Now it seems to be Paid version.Can u pls confirm was it paid version from the beggining or recently converted to paid one?

3 answers

1 accepted

It was recently changed to a paid version (a couple of weeks ago). The last Free version was v. 2.5.7.1

ok.. Thanks for the information.

My scenario is as follows

I downloaded 3.0.0 couple of months back and was in usage.Due to some other issue,downloaded 3.0.1(just to chk if latest plugin would work) with Evaluation License .

Later found out that 3.0.1 or 3.0.0 doent matter,issue is something else and I fixed that issue.

So thought of reverting back to 3.0.0(was believing 3.0.0 is a free version) and just removed 3.0.1 from installed-plugin folder and copied 3.0.0 version

In ManageAdd on screen the version is shown as 3.0.0 but the license details of 3.0.1.

Also while doing workflow steps(Generate CheckList),the error is not getting captured correctly.

My JIRA version is 5.2.can I go ahead use v. 2.5.7.1 itslef.Hope it wont cause any incompatibitly?

Please let me know your suggestions

Thanks

Yes, you can downgrade to v2.5.7.1 on JIRA 5.2, unless you're using a feature that's new to v3.0.

v3.0 was a Paid version from the beginning, so if you installed it you must have requested an evaluation license at that time.

As for your comment on an error not being captured correctly, I don't understand what you mean.

Best regards,

David.

My old JIRA version is 4.2 and now Iam upgrading it to 5.2

Due to API changes ,getting error in the script Validators when I do the step "Generate Checklist" in a JIRA ticket.The error is not captured correctly.

" Caught exception while attempting to perform action 341 from workflow 131452 on issue 'DEMO-379'
[InvalidInputException: [Error map: [{}]] [Error list: [[]]]

Note:here the Error list should be captured with corresponding Validator errors.Here it looks empty

It was displaying the Validator errors until I downgrade from 3.1 to 3.0.

Can u pls give the steps to downgrade.

I did the belopw steps

1.Stopped the apache tomcat server

2.Removed 3.0.1 from installed-plugin folder

3.copied 3.0.0 to installed-plugin folder

4.Start server

5.Went to Manage Add ons and updated the Evaluation license

3.0.0 was free until last month and I was using it without any license

Again, 3.0.0 was never free (I know, I'm the author of the plugin). It includes the Atlassian licensing system.

As for installing plugins, you should us JIRA's built-in add-on managing system (in the Admin section). You should never copy plugins manually into installed-plugins unless instructed to do so by the plugin developer. And you don't need to restart JIRA to apply changes to plugins if you install them using the add-on manager (or plugin manager in older versions).

Suggest an answer

Log in or Sign up to answer
Atlassian Community Anniversary

Happy Anniversary, Atlassian Community!

This community is celebrating its one-year anniversary and Atlassian co-founder Mike Cannon-Brookes has all the feels.

Read more
Community showcase
Bridget Sauer
Published Thursday in Marketplace Apps

Calling all developers––You're invited to Atlas Camp 2018

 Atlas Camp   is our developer event which will take place in Barcelona, Spain  from the 6th -7th of   September . This is a great opportunity to meet other developers and get n...

235 views 0 6
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you